Python 2.6 transition

Bug #354416 reported by Luca Falavigna on 2009-04-03
4
Affects Status Importance Assigned to Milestone
pyqwt3d (Ubuntu)
Medium
Unassigned
Jaunty
Medium
Unassigned

Bug Description

pyqwt3d needs to be rebuilt/adjusted for the Python 2.6 transition.

Right now, it FTBFS with this error:
g++ -c -pipe -fPIC -g -O2 -Os -Wall -W -D_REENTRANT -DGL2PS_HAVE_ZLIB -DHAS_NUMPY -DQT_NO_DEBUG -DQT_CORE_LIB -DQT_GUI_LIB -DQT_OPENGL_LIB -I. -I/usr/include/qwtplot3d-qt4 -I/usr/lib/python2.6/dist-packages/numpy/core/include -I/usr/include/qt4/Qt -I/usr/include/python2.6 -I/usr/share/qt4/mkspecs/default -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtOpenGL -I/usr/include/qt4 -I/usr/X11R6/include -o sip_Qwt3DTripleField.o sip_Qwt3DTripleField.cpp
sip_Qwt3DTripleField.cpp: In function 'PyObject* meth_TripleField_capacity(PyObject*, PyObject*)':
sip_Qwt3DTripleField.cpp:32: error: 'size_type' was not declared in this scope
sip_Qwt3DTripleField.cpp:32: error: expected `;' before 'sipRes'
sip_Qwt3DTripleField.cpp:35: error: 'sipRes' was not declared in this scope
sip_Qwt3DTripleField.cpp:38: error: 'sipRes' was not declared in this scope
sip_Qwt3DTripleField.cpp: In function 'PyObject* meth_TripleField_max_size(PyObject*, PyObject*)':
sip_Qwt3DTripleField.cpp:166: error: 'size_type' was not declared in this scope
sip_Qwt3DTripleField.cpp:166: error: expected `;' before 'sipRes'
sip_Qwt3DTripleField.cpp:169: error: 'sipRes' was not declared in this scope
sip_Qwt3DTripleField.cpp:172: error: 'sipRes' was not declared in this scope
sip_Qwt3DTripleField.cpp: In function 'PyObject* meth_TripleField_reserve(PyObject*, PyObject*)':
sip_Qwt3DTripleField.cpp:242: error: 'size_type' was not declared in this scope
sip_Qwt3DTripleField.cpp:242: error: expected `;' before 'a0'
sip_Qwt3DTripleField.cpp:245: error: 'a0' was not declared in this scope
sip_Qwt3DTripleField.cpp: In function 'PyObject* meth_TripleField_resize(PyObject*, PyObject*)':
sip_Qwt3DTripleField.cpp:269: error: 'size_type' was not declared in this scope
sip_Qwt3DTripleField.cpp:269: error: expected `;' before 'a0'
sip_Qwt3DTripleField.cpp:274: error: 'a0' was not declared in this scope
sip_Qwt3DTripleField.cpp: In function 'PyObject* meth_TripleField_size(PyObject*, PyObject*)':
sip_Qwt3DTripleField.cpp:302: error: 'size_type' was not declared in this scope
sip_Qwt3DTripleField.cpp:302: error: expected `;' before 'sipRes'
sip_Qwt3DTripleField.cpp:305: error: 'sipRes' was not declared in this scope
sip_Qwt3DTripleField.cpp:308: error: 'sipRes' was not declared in this scope
sip_Qwt3DTripleField.cpp: In function 'void* init_TripleField(sipWrapper*, PyObject*, sipWrapper**, int*)':
sip_Qwt3DTripleField.cpp:548: error: 'size_type' was not declared in this scope
sip_Qwt3DTripleField.cpp:548: error: expected `;' before 'a0'
sip_Qwt3DTripleField.cpp:550: error: 'a0' was not declared in this scope
sip_Qwt3DTripleField.cpp:560: error: 'size_type' was not declared in this scope
sip_Qwt3DTripleField.cpp:560: error: expected `;' before 'a0'
sip_Qwt3DTripleField.cpp:563: error: 'a0' was not declared in this scope
make[2]: *** [sip_Qwt3DTripleField.o] Error 1
make[2]: Leaving directory `/pack/pyqwt3d/pyqwt3d-0.1.6/build/py2.6-qt4/configure/Qwt3D_Qt4'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/pack/pyqwt3d/pyqwt3d-0.1.6/build/py2.6-qt4/configure'
make: *** [build-stamp] Error 2

Changed in pyqwt3d (Ubuntu Jaunty):
importance: Undecided → Medium
milestone: none → ubuntu-9.04
status: New → Confirmed
Steve Langasek (vorlon) wrote :

is anyone looking at this for 9.04 final? the window is closing...

Steve Langasek (vorlon) wrote :

no activity, marking for jaunty-updates.

Changed in pyqwt3d (Ubuntu Jaunty):
milestone: ubuntu-9.04 → jaunty-updates
zzarko (zzarko-gmail) wrote :

I temporarily solved this error by putting

typedef unsigned int size_type;

in configure/Qwt3D_Qt4/qwt3d_types.h, under namespace Qwt3D, after calling configure with:

python configure.py -Q ../qwtplot3d-0.2.7 -4 -L /usr/lib -I /usr/include/ --module-install-path=/usr/lib/python2.6/dist-packages/PyQt4/Qwt3D

(modified configure call as reported in https://bugs.launchpad.net/bugs/342782)

I don't know what's the correct place to put it before calling configure script...

Changed in pyqwt3d (Ubuntu):
milestone: jaunty-updates → none
status: Confirmed → Fix Released
Artur Rona (ari-tczew) wrote :

Jaunty is End Of Life.

Changed in pyqwt3d (Ubuntu Jaunty):
status: Confirmed → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers